source: longrun_tests/Makefile.in @ 32ce9b7

ADTarm-ehast-experimentalenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprpthread-emulationqualifiedEnum
Last change on this file since 32ce9b7 was 9e1fa35, checked in by Peter A. Buhr <pabuhr@…>, 4 years ago

attempt to get RUST and nodejs benchmarks to print titles (still not working)

  • Property mode set to 100644
File size: 31.7 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19VPATH = @srcdir@
20am__is_gnu_make = { \
21  if test -z '$(MAKELEVEL)'; then \
22    false; \
23  elif test -n '$(MAKE_HOST)'; then \
24    true; \
25  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26    true; \
27  else \
28    false; \
29  fi; \
30}
31am__make_running_with_option = \
32  case $${target_option-} in \
33      ?) ;; \
34      *) echo "am__make_running_with_option: internal error: invalid" \
35              "target option '$${target_option-}' specified" >&2; \
36         exit 1;; \
37  esac; \
38  has_opt=no; \
39  sane_makeflags=$$MAKEFLAGS; \
40  if $(am__is_gnu_make); then \
41    sane_makeflags=$$MFLAGS; \
42  else \
43    case $$MAKEFLAGS in \
44      *\\[\ \   ]*) \
45        bs=\\; \
46        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
48    esac; \
49  fi; \
50  skip_next=no; \
51  strip_trailopt () \
52  { \
53    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54  }; \
55  for flg in $$sane_makeflags; do \
56    test $$skip_next = yes && { skip_next=no; continue; }; \
57    case $$flg in \
58      *=*|--*) continue;; \
59        -*I) strip_trailopt 'I'; skip_next=yes;; \
60      -*I?*) strip_trailopt 'I';; \
61        -*O) strip_trailopt 'O'; skip_next=yes;; \
62      -*O?*) strip_trailopt 'O';; \
63        -*l) strip_trailopt 'l'; skip_next=yes;; \
64      -*l?*) strip_trailopt 'l';; \
65      -[dEDm]) skip_next=yes;; \
66      -[JT]) skip_next=yes;; \
67    esac; \
68    case $$flg in \
69      *$$target_option*) has_opt=yes; break;; \
70    esac; \
71  done; \
72  test $$has_opt = yes
73am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75pkgdatadir = $(datadir)/@PACKAGE@
76pkgincludedir = $(includedir)/@PACKAGE@
77pkglibdir = $(libdir)/@PACKAGE@
78pkglibexecdir = $(libexecdir)/@PACKAGE@
79am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80install_sh_DATA = $(install_sh) -c -m 644
81install_sh_PROGRAM = $(install_sh) -c
82install_sh_SCRIPT = $(install_sh) -c
83INSTALL_HEADER = $(INSTALL_DATA)
84transform = $(program_transform_name)
85NORMAL_INSTALL = :
86PRE_INSTALL = :
87POST_INSTALL = :
88NORMAL_UNINSTALL = :
89PRE_UNINSTALL = :
90POST_UNINSTALL = :
91build_triplet = @build@
92host_triplet = @host@
93subdir = longrun_tests
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/automake/libtool.m4 \
96        $(top_srcdir)/automake/ltoptions.m4 \
97        $(top_srcdir)/automake/ltsugar.m4 \
98        $(top_srcdir)/automake/ltversion.m4 \
99        $(top_srcdir)/automake/lt~obsolete.m4 \
100        $(top_srcdir)/automake/cfa.m4 $(top_srcdir)/configure.ac
101am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
102        $(ACLOCAL_M4)
103DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
104mkinstalldirs = $(install_sh) -d
105CONFIG_HEADER = $(top_builddir)/config.h
106CONFIG_CLEAN_FILES =
107CONFIG_CLEAN_VPATH_FILES =
108AM_V_P = $(am__v_P_@AM_V@)
109am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
110am__v_P_0 = false
111am__v_P_1 = :
112AM_V_GEN = $(am__v_GEN_@AM_V@)
113am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
114am__v_GEN_0 = @echo "  GEN     " $@;
115am__v_GEN_1 =
116AM_V_at = $(am__v_at_@AM_V@)
117am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
118am__v_at_0 = @
119am__v_at_1 =
120SOURCES =
121DIST_SOURCES =
122am__can_run_installinfo = \
123  case $$AM_UPDATE_INFO_DIR in \
124    n|no|NO) false;; \
125    *) (install-info --version) >/dev/null 2>&1;; \
126  esac
127am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
128am__tty_colors_dummy = \
129  mgn= red= grn= lgn= blu= brg= std=; \
130  am__color_tests=no
131am__tty_colors = { \
132  $(am__tty_colors_dummy); \
133  if test "X$(AM_COLOR_TESTS)" = Xno; then \
134    am__color_tests=no; \
135  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
136    am__color_tests=yes; \
137  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
138    am__color_tests=yes; \
139  fi; \
140  if test $$am__color_tests = yes; then \
141    red='[0;31m'; \
142    grn='[0;32m'; \
143    lgn='[1;32m'; \
144    blu='[1;34m'; \
145    mgn='[0;35m'; \
146    brg='[1m'; \
147    std='[m'; \
148  fi; \
149}
150am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
151am__vpath_adj = case $$p in \
152    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
153    *) f=$$p;; \
154  esac;
155am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
156am__install_max = 40
157am__nobase_strip_setup = \
158  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
159am__nobase_strip = \
160  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
161am__nobase_list = $(am__nobase_strip_setup); \
162  for p in $$list; do echo "$$p $$p"; done | \
163  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
164  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
165    if (++n[$$2] == $(am__install_max)) \
166      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
167    END { for (dir in files) print dir, files[dir] }'
168am__base_list = \
169  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
170  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
171am__uninstall_files_from_dir = { \
172  test -z "$$files" \
173    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
174    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
175         $(am__cd) "$$dir" && rm -f $$files; }; \
176  }
177am__recheck_rx = ^[     ]*:recheck:[    ]*
178am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
179am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
180# A command that, given a newline-separated list of test names on the
181# standard input, print the name of the tests that are to be re-run
182# upon "make recheck".
183am__list_recheck_tests = $(AWK) '{ \
184  recheck = 1; \
185  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
186    { \
187      if (rc < 0) \
188        { \
189          if ((getline line2 < ($$0 ".log")) < 0) \
190            recheck = 0; \
191          break; \
192        } \
193      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
194        { \
195          recheck = 0; \
196          break; \
197        } \
198      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
199        { \
200          break; \
201        } \
202    }; \
203  if (recheck) \
204    print $$0; \
205  close ($$0 ".trs"); \
206  close ($$0 ".log"); \
207}'
208# A command that, given a newline-separated list of test names on the
209# standard input, create the global log from their .trs and .log files.
210am__create_global_log = $(AWK) ' \
211function fatal(msg) \
212{ \
213  print "fatal: making $@: " msg | "cat >&2"; \
214  exit 1; \
215} \
216function rst_section(header) \
217{ \
218  print header; \
219  len = length(header); \
220  for (i = 1; i <= len; i = i + 1) \
221    printf "="; \
222  printf "\n\n"; \
223} \
224{ \
225  copy_in_global_log = 1; \
226  global_test_result = "RUN"; \
227  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
228    { \
229      if (rc < 0) \
230         fatal("failed to read from " $$0 ".trs"); \
231      if (line ~ /$(am__global_test_result_rx)/) \
232        { \
233          sub("$(am__global_test_result_rx)", "", line); \
234          sub("[        ]*$$", "", line); \
235          global_test_result = line; \
236        } \
237      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
238        copy_in_global_log = 0; \
239    }; \
240  if (copy_in_global_log) \
241    { \
242      rst_section(global_test_result ": " $$0); \
243      while ((rc = (getline line < ($$0 ".log"))) != 0) \
244      { \
245        if (rc < 0) \
246          fatal("failed to read from " $$0 ".log"); \
247        print line; \
248      }; \
249      printf "\n"; \
250    }; \
251  close ($$0 ".trs"); \
252  close ($$0 ".log"); \
253}'
254# Restructured Text title.
255am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
256# Solaris 10 'make', and several other traditional 'make' implementations,
257# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
258# by disabling -e (using the XSI extension "set +e") if it's set.
259am__sh_e_setup = case $$- in *e*) set +e;; esac
260# Default flags passed to test drivers.
261am__common_driver_flags = \
262  --color-tests "$$am__color_tests" \
263  --enable-hard-errors "$$am__enable_hard_errors" \
264  --expect-failure "$$am__expect_failure"
265# To be inserted before the command running the test.  Creates the
266# directory for the log if needed.  Stores in $dir the directory
267# containing $f, in $tst the test, in $log the log.  Executes the
268# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
269# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
270# will run the test scripts (or their associated LOG_COMPILER, if
271# thy have one).
272am__check_pre = \
273$(am__sh_e_setup);                                      \
274$(am__vpath_adj_setup) $(am__vpath_adj)                 \
275$(am__tty_colors);                                      \
276srcdir=$(srcdir); export srcdir;                        \
277case "$@" in                                            \
278  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
279    *) am__odir=.;;                                     \
280esac;                                                   \
281test "x$$am__odir" = x"." || test -d "$$am__odir"       \
282  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
283if test -f "./$$f"; then dir=./;                        \
284elif test -f "$$f"; then dir=;                          \
285else dir="$(srcdir)/"; fi;                              \
286tst=$$dir$$f; log='$@';                                 \
287if test -n '$(DISABLE_HARD_ERRORS)'; then               \
288  am__enable_hard_errors=no;                            \
289else                                                    \
290  am__enable_hard_errors=yes;                           \
291fi;                                                     \
292case " $(XFAIL_TESTS) " in                              \
293  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
294    am__expect_failure=yes;;                            \
295  *)                                                    \
296    am__expect_failure=no;;                             \
297esac;                                                   \
298$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
299# A shell command to get the names of the tests scripts with any registered
300# extension removed (i.e., equivalently, the names of the test logs, with
301# the '.log' extension removed).  The result is saved in the shell variable
302# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
303# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
304# since that might cause problem with VPATH rewrites for suffix-less tests.
305# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
306am__set_TESTS_bases = \
307  bases='$(TEST_LOGS)'; \
308  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
309  bases=`echo $$bases`
310RECHECK_LOGS = $(TEST_LOGS)
311AM_RECURSIVE_TARGETS = check recheck
312TEST_SUITE_LOG = test-suite.log
313TEST_EXTENSIONS = @EXEEXT@ .test
314LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
315LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
316am__set_b = \
317  case '$@' in \
318    */*) \
319      case '$*' in \
320        */*) b='$*';; \
321          *) b=`echo '$@' | sed 's/\.log$$//'`; \
322       esac;; \
323    *) \
324      b='$*';; \
325  esac
326am__test_logs1 = $(TESTS:=.log)
327am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
328TEST_LOGS = $(am__test_logs2:.test.log=.log)
329TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
330TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
331        $(TEST_LOG_FLAGS)
332am__DIST_COMMON = $(srcdir)/Makefile.in \
333        $(top_srcdir)/automake/test-driver $(top_srcdir)/src/cfa.make
334DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
335ACLOCAL = @ACLOCAL@
336AMTAR = @AMTAR@
337AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
338AR = @AR@
339AUTOCONF = @AUTOCONF@
340AUTOHEADER = @AUTOHEADER@
341AUTOMAKE = @AUTOMAKE@
342AWK = @AWK@
343BUILD_IN_TREE_FLAGS = @BUILD_IN_TREE_FLAGS@
344CC = @CC@
345CCAS = @CCAS@
346CCASDEPMODE = @CCASDEPMODE@
347CCASFLAGS = @CCASFLAGS@
348CCDEPMODE = @CCDEPMODE@
349CFACC = @CFACC@
350CFACC_INSTALL = @CFACC_INSTALL@
351CFACPP = @CFACPP@
352CFA_BACKEND_CC = @CFA_BACKEND_CC@
353CFA_BINDIR = @CFA_BINDIR@
354CFA_FLAGS = @CFA_FLAGS@
355CFA_INCDIR = @CFA_INCDIR@
356CFA_LIBDIR = @CFA_LIBDIR@
357CFA_NAME = @CFA_NAME@
358CFA_PREFIX = @CFA_PREFIX@
359CFLAGS = @CFLAGS@
360CPP = @CPP@
361CPPFLAGS = @CPPFLAGS@
362CXX = @CXX@
363CXXCPP = @CXXCPP@
364CXXDEPMODE = @CXXDEPMODE@
365CXXFLAGS = @CXXFLAGS@
366CYGPATH_W = @CYGPATH_W@
367DEFS = @DEFS@
368DEMANGLER = @DEMANGLER@
369DEPDIR = @DEPDIR@
370DLLTOOL = @DLLTOOL@
371DRIVER_DIR = @DRIVER_DIR@
372DSYMUTIL = @DSYMUTIL@
373DUMPBIN = @DUMPBIN@
374ECHO_C = @ECHO_C@
375ECHO_N = @ECHO_N@
376ECHO_T = @ECHO_T@
377EGREP = @EGREP@
378EXEEXT = @EXEEXT@
379FGREP = @FGREP@
380GREP = @GREP@
381HAS_DISTCC = @HAS_DISTCC@
382HOST_FLAGS = @HOST_FLAGS@
383INSTALL = @INSTALL@
384INSTALL_DATA = @INSTALL_DATA@
385INSTALL_PROGRAM = @INSTALL_PROGRAM@
386INSTALL_SCRIPT = @INSTALL_SCRIPT@
387INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
388LD = @LD@
389LDFLAGS = @LDFLAGS@
390LEX = @LEX@
391LEXLIB = @LEXLIB@
392LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
393LIBCFA_TARGET_DIRS = @LIBCFA_TARGET_DIRS@
394LIBCFA_TARGET_MAKEFILES = @LIBCFA_TARGET_MAKEFILES@
395LIBDEMANGLE = @LIBDEMANGLE@
396LIBOBJS = @LIBOBJS@
397LIBS = @LIBS@
398LIBTOOL = @LIBTOOL@
399LIPO = @LIPO@
400LN_S = @LN_S@
401LTLIBOBJS = @LTLIBOBJS@
402LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
403MAKEINFO = @MAKEINFO@
404MANIFEST_TOOL = @MANIFEST_TOOL@
405MKDIR_P = @MKDIR_P@
406NM = @NM@
407NMEDIT = @NMEDIT@
408OBJDUMP = @OBJDUMP@
409OBJEXT = @OBJEXT@
410OTOOL = @OTOOL@
411OTOOL64 = @OTOOL64@
412PACKAGE = @PACKAGE@
413PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
414PACKAGE_NAME = @PACKAGE_NAME@
415PACKAGE_STRING = @PACKAGE_STRING@
416PACKAGE_TARNAME = @PACKAGE_TARNAME@
417PACKAGE_URL = @PACKAGE_URL@
418PACKAGE_VERSION = @PACKAGE_VERSION@
419PATH_SEPARATOR = @PATH_SEPARATOR@
420RANLIB = @RANLIB@
421SED = @SED@
422SET_MAKE = @SET_MAKE@
423SHELL = @SHELL@
424STRIP = @STRIP@
425TARGET_HOSTS = @TARGET_HOSTS@
426VERSION = @VERSION@
427YACC = @YACC@
428YFLAGS = @YFLAGS@
429abs_builddir = @abs_builddir@
430abs_srcdir = @abs_srcdir@
431abs_top_builddir = @abs_top_builddir@
432abs_top_srcdir = @abs_top_srcdir@
433ac_ct_AR = @ac_ct_AR@
434ac_ct_CC = @ac_ct_CC@
435ac_ct_CXX = @ac_ct_CXX@
436ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
437am__include = @am__include@
438am__leading_dot = @am__leading_dot@
439am__quote = @am__quote@
440am__tar = @am__tar@
441am__untar = @am__untar@
442bindir = @bindir@
443build = @build@
444build_alias = @build_alias@
445build_cpu = @build_cpu@
446build_os = @build_os@
447build_vendor = @build_vendor@
448builddir = @builddir@
449datadir = @datadir@
450datarootdir = @datarootdir@
451docdir = @docdir@
452dvidir = @dvidir@
453exec_prefix = @exec_prefix@
454host = @host@
455host_alias = @host_alias@
456host_cpu = @host_cpu@
457host_os = @host_os@
458host_vendor = @host_vendor@
459htmldir = @htmldir@
460includedir = @includedir@
461infodir = @infodir@
462install_sh = @install_sh@
463libdir = @libdir@
464libexecdir = @libexecdir@
465localedir = @localedir@
466localstatedir = @localstatedir@
467mandir = @mandir@
468mkdir_p = @mkdir_p@
469oldincludedir = @oldincludedir@
470pdfdir = @pdfdir@
471prefix = @prefix@
472program_transform_name = @program_transform_name@
473psdir = @psdir@
474runstatedir = @runstatedir@
475sbindir = @sbindir@
476sharedstatedir = @sharedstatedir@
477srcdir = @srcdir@
478sysconfdir = @sysconfdir@
479target_alias = @target_alias@
480top_build_prefix = @top_build_prefix@
481top_builddir = @top_builddir@
482top_srcdir = @top_srcdir@
483AUTOMAKE_OPTIONS = foreign    # do not require all the GNU file names
484ACLOCAL_AMFLAGS = -I automake
485CFACOMPILE = $(CFACC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CFAFLAGS) $(CFAFLAGS) $(AM_CFLAGS) $(CFLAGS)
486LTCFACOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
487        $(LIBTOOLFLAGS) --mode=compile $(CFACC) $(DEFS) \
488        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CFAFLAGS) $(AM_CFLAGS) $(CFAFLAGS) $(CFLAGS)
489
490AM_V_CFA = $(am__v_CFA_@AM_V@)
491am__v_CFA_ = $(am__v_CFA_@AM_DEFAULT_V@)
492am__v_CFA_0 = @echo "  CFA     " $@;
493am__v_CFA_1 =
494UPPCC = u++
495UPPCOMPILE = $(UPPCC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_UPPFLAGS) $(UPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_CFLAGS) $(CFLAGS)
496AM_V_UPP = $(am__v_UPP_@AM_V@)
497am__v_UPP_ = $(am__v_UPP_@AM_DEFAULT_V@)
498am__v_UPP_0 = @echo "  UPP     " $@;
499am__v_UPP_1 =
500AM_V_GOC = $(am__v_GOC_@AM_V@)
501am__v_GOC_ = $(am__v_GOC_@AM_DEFAULT_V@)
502am__v_GOC_0 = @echo "  GOC     " $@;
503am__v_GOC_1 =
504AM_V_RUST = $(am__v_RUST_@AM_V@)
505am__v_RUST_ = $(am__v_RUST_@AM_DEFAULT_V@)
506am__v_RUST_0 = @echo "  RUST     " $@;
507am__v_RUST_1 =
508AM_V_NODEJS = $(am__v_NODEJS_@AM_V@)
509am__v_NODEJS_ = $(am__v_NODEJS_@AM_DEFAULT_V@)
510am__v_NODEJS_0 = @echo "  NODEJS     " $@;
511am__v_NODEJS_1 =
512AM_V_JAVAC = $(am__v_JAVAC_@AM_V@)
513am__v_JAVAC_ = $(am__v_JAVAC_@AM_DEFAULT_V@)
514am__v_JAVAC_0 = @echo "  JAVAC   " $@;
515am__v_JAVAC_1 =
516repeats = 10
517max_time = 600
518preempt = 10ul\`ms
519debug = -debug
520type = LONG
521REPEAT = $(abs_top_builddir)/tools/repeat
522WATCHDOG = $(abs_top_builddir)/tools/watchdog
523TIME = /usr/bin/time -f "%E"
524UPDATED_TYPE = $(shell $(srcdir)/update-type $(type))
525BUILD_FLAGS =
526AM_CFAFLAGS = \
527        -g \
528        -Wall \
529        -Wno-unused-function \
530        -quiet \
531        -O2 \
532        -DPREEMPTION_RATE=$(preempt) \
533        -I$(abs_top_srcdir)/tests \
534        -I$(srcdir) \
535        -DTEST_$(shell cat .type | tr a-z A-Z)
536
537TESTS = block coroutine create disjoint enter enter3 processor stack wait yield
538all: all-am
539
540.SUFFIXES:
541.SUFFIXES: .cfa .lo .log .o .test .test$(EXEEXT) .trs
542$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/src/cfa.make $(am__configure_deps)
543        @for dep in $?; do \
544          case '$(am__configure_deps)' in \
545            *$$dep*) \
546              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
547                && { if test -f $@; then exit 0; else break; fi; }; \
548              exit 1;; \
549          esac; \
550        done; \
551        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign longrun_tests/Makefile'; \
552        $(am__cd) $(top_srcdir) && \
553          $(AUTOMAKE) --foreign longrun_tests/Makefile
554Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
555        @case '$?' in \
556          *config.status*) \
557            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
558          *) \
559            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
560            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
561        esac;
562$(top_srcdir)/src/cfa.make $(am__empty):
563
564$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
565        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
566
567$(top_srcdir)/configure:  $(am__configure_deps)
568        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
569$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
570        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
571$(am__aclocal_m4_deps):
572
573mostlyclean-libtool:
574        -rm -f *.lo
575
576clean-libtool:
577        -rm -rf .libs _libs
578tags TAGS:
579
580ctags CTAGS:
581
582cscope cscopelist:
583
584
585# Recover from deleted '.trs' file; this should ensure that
586# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
587# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
588# to avoid problems with "make -n".
589.log.trs:
590        rm -f $< $@
591        $(MAKE) $(AM_MAKEFLAGS) $<
592
593# Leading 'am--fnord' is there to ensure the list of targets does not
594# expand to empty, as could happen e.g. with make check TESTS=''.
595am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
596am--force-recheck:
597        @:
598
599$(TEST_SUITE_LOG): $(TEST_LOGS)
600        @$(am__set_TESTS_bases); \
601        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
602        redo_bases=`for i in $$bases; do \
603                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
604                    done`; \
605        if test -n "$$redo_bases"; then \
606          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
607          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
608          if $(am__make_dryrun); then :; else \
609            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
610          fi; \
611        fi; \
612        if test -n "$$am__remaking_logs"; then \
613          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
614               "recursion detected" >&2; \
615        elif test -n "$$redo_logs"; then \
616          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
617        fi; \
618        if $(am__make_dryrun); then :; else \
619          st=0;  \
620          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
621          for i in $$redo_bases; do \
622            test -f $$i.trs && test -r $$i.trs \
623              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
624            test -f $$i.log && test -r $$i.log \
625              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
626          done; \
627          test $$st -eq 0 || exit 1; \
628        fi
629        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
630        ws='[   ]'; \
631        results=`for b in $$bases; do echo $$b.trs; done`; \
632        test -n "$$results" || results=/dev/null; \
633        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
634        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
635        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
636        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
637        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
638        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
639        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
640        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
641          success=true; \
642        else \
643          success=false; \
644        fi; \
645        br='==================='; br=$$br$$br$$br$$br; \
646        result_count () \
647        { \
648            if test x"$$1" = x"--maybe-color"; then \
649              maybe_colorize=yes; \
650            elif test x"$$1" = x"--no-color"; then \
651              maybe_colorize=no; \
652            else \
653              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
654            fi; \
655            shift; \
656            desc=$$1 count=$$2; \
657            if test $$maybe_colorize = yes && test $$count -gt 0; then \
658              color_start=$$3 color_end=$$std; \
659            else \
660              color_start= color_end=; \
661            fi; \
662            echo "$${color_start}# $$desc $$count$${color_end}"; \
663        }; \
664        create_testsuite_report () \
665        { \
666          result_count $$1 "TOTAL:" $$all   "$$brg"; \
667          result_count $$1 "PASS: " $$pass  "$$grn"; \
668          result_count $$1 "SKIP: " $$skip  "$$blu"; \
669          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
670          result_count $$1 "FAIL: " $$fail  "$$red"; \
671          result_count $$1 "XPASS:" $$xpass "$$red"; \
672          result_count $$1 "ERROR:" $$error "$$mgn"; \
673        }; \
674        {                                                               \
675          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
676            $(am__rst_title);                                           \
677          create_testsuite_report --no-color;                           \
678          echo;                                                         \
679          echo ".. contents:: :depth: 2";                               \
680          echo;                                                         \
681          for b in $$bases; do echo $$b; done                           \
682            | $(am__create_global_log);                                 \
683        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
684        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
685        if $$success; then                                              \
686          col="$$grn";                                                  \
687         else                                                           \
688          col="$$red";                                                  \
689          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
690        fi;                                                             \
691        echo "$${col}$$br$${std}";                                      \
692        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
693        echo "$${col}$$br$${std}";                                      \
694        create_testsuite_report --maybe-color;                          \
695        echo "$$col$$br$$std";                                          \
696        if $$success; then :; else                                      \
697          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
698          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
699            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
700          fi;                                                           \
701          echo "$$col$$br$$std";                                        \
702        fi;                                                             \
703        $$success || exit 1
704
705check-TESTS:
706        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
707        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
708        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
709        @set +e; $(am__set_TESTS_bases); \
710        log_list=`for i in $$bases; do echo $$i.log; done`; \
711        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
712        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
713        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
714        exit $$?;
715recheck: all
716        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
717        @set +e; $(am__set_TESTS_bases); \
718        bases=`for i in $$bases; do echo $$i; done \
719                 | $(am__list_recheck_tests)` || exit 1; \
720        log_list=`for i in $$bases; do echo $$i.log; done`; \
721        log_list=`echo $$log_list`; \
722        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
723                am__force_recheck=am--force-recheck \
724                TEST_LOGS="$$log_list"; \
725        exit $$?
726block.log: block
727        @p='block'; \
728        b='block'; \
729        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
730        --log-file $$b.log --trs-file $$b.trs \
731        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
732        "$$tst" $(AM_TESTS_FD_REDIRECT)
733coroutine.log: coroutine
734        @p='coroutine'; \
735        b='coroutine'; \
736        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
737        --log-file $$b.log --trs-file $$b.trs \
738        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
739        "$$tst" $(AM_TESTS_FD_REDIRECT)
740create.log: create
741        @p='create'; \
742        b='create'; \
743        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
744        --log-file $$b.log --trs-file $$b.trs \
745        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
746        "$$tst" $(AM_TESTS_FD_REDIRECT)
747disjoint.log: disjoint
748        @p='disjoint'; \
749        b='disjoint'; \
750        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
751        --log-file $$b.log --trs-file $$b.trs \
752        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
753        "$$tst" $(AM_TESTS_FD_REDIRECT)
754enter.log: enter
755        @p='enter'; \
756        b='enter'; \
757        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
758        --log-file $$b.log --trs-file $$b.trs \
759        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
760        "$$tst" $(AM_TESTS_FD_REDIRECT)
761enter3.log: enter3
762        @p='enter3'; \
763        b='enter3'; \
764        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
765        --log-file $$b.log --trs-file $$b.trs \
766        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
767        "$$tst" $(AM_TESTS_FD_REDIRECT)
768processor.log: processor
769        @p='processor'; \
770        b='processor'; \
771        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
772        --log-file $$b.log --trs-file $$b.trs \
773        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
774        "$$tst" $(AM_TESTS_FD_REDIRECT)
775stack.log: stack
776        @p='stack'; \
777        b='stack'; \
778        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
779        --log-file $$b.log --trs-file $$b.trs \
780        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
781        "$$tst" $(AM_TESTS_FD_REDIRECT)
782wait.log: wait
783        @p='wait'; \
784        b='wait'; \
785        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
786        --log-file $$b.log --trs-file $$b.trs \
787        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
788        "$$tst" $(AM_TESTS_FD_REDIRECT)
789yield.log: yield
790        @p='yield'; \
791        b='yield'; \
792        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
793        --log-file $$b.log --trs-file $$b.trs \
794        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
795        "$$tst" $(AM_TESTS_FD_REDIRECT)
796.test.log:
797        @p='$<'; \
798        $(am__set_b); \
799        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
800        --log-file $$b.log --trs-file $$b.trs \
801        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
802        "$$tst" $(AM_TESTS_FD_REDIRECT)
803@am__EXEEXT_TRUE@.test$(EXEEXT).log:
804@am__EXEEXT_TRUE@       @p='$<'; \
805@am__EXEEXT_TRUE@       $(am__set_b); \
806@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
807@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
808@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
809@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
810
811distdir: $(DISTFILES)
812        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
813        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
814        list='$(DISTFILES)'; \
815          dist_files=`for file in $$list; do echo $$file; done | \
816          sed -e "s|^$$srcdirstrip/||;t" \
817              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
818        case $$dist_files in \
819          */*) $(MKDIR_P) `echo "$$dist_files" | \
820                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
821                           sort -u` ;; \
822        esac; \
823        for file in $$dist_files; do \
824          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
825          if test -d $$d/$$file; then \
826            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
827            if test -d "$(distdir)/$$file"; then \
828              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
829            fi; \
830            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
831              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
832              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
833            fi; \
834            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
835          else \
836            test -f "$(distdir)/$$file" \
837            || cp -p $$d/$$file "$(distdir)/$$file" \
838            || exit 1; \
839          fi; \
840        done
841check-am: all-am
842        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
843check: check-am
844all-am: Makefile all-local
845installdirs:
846install: install-am
847install-exec: install-exec-am
848install-data: install-data-am
849uninstall: uninstall-am
850
851install-am: all-am
852        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
853
854installcheck: installcheck-am
855install-strip:
856        if test -z '$(STRIP)'; then \
857          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
858            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
859              install; \
860        else \
861          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
862            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
863            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
864        fi
865mostlyclean-generic:
866        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
867        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
868        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
869
870clean-generic:
871
872distclean-generic:
873        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
874        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
875
876maintainer-clean-generic:
877        @echo "This command is intended for maintainers to use"
878        @echo "it deletes files that may require special tools to rebuild."
879clean: clean-am
880
881clean-am: clean-generic clean-libtool clean-local mostlyclean-am
882
883distclean: distclean-am
884        -rm -f Makefile
885distclean-am: clean-am distclean-generic
886
887dvi: dvi-am
888
889dvi-am:
890
891html: html-am
892
893html-am:
894
895info: info-am
896
897info-am:
898
899install-data-am:
900
901install-dvi: install-dvi-am
902
903install-dvi-am:
904
905install-exec-am:
906
907install-html: install-html-am
908
909install-html-am:
910
911install-info: install-info-am
912
913install-info-am:
914
915install-man:
916
917install-pdf: install-pdf-am
918
919install-pdf-am:
920
921install-ps: install-ps-am
922
923install-ps-am:
924
925installcheck-am:
926
927maintainer-clean: maintainer-clean-am
928        -rm -f Makefile
929maintainer-clean-am: distclean-am maintainer-clean-generic
930
931mostlyclean: mostlyclean-am
932
933mostlyclean-am: mostlyclean-generic mostlyclean-libtool
934
935pdf: pdf-am
936
937pdf-am:
938
939ps: ps-am
940
941ps-am:
942
943uninstall-am:
944
945.MAKE: check-am install-am install-strip
946
947.PHONY: all all-am all-local check check-TESTS check-am clean \
948        clean-generic clean-libtool clean-local cscopelist-am ctags-am \
949        distclean distclean-generic distclean-libtool distdir dvi \
950        dvi-am html html-am info info-am install install-am \
951        install-data install-data-am install-dvi install-dvi-am \
952        install-exec install-exec-am install-html install-html-am \
953        install-info install-info-am install-man install-pdf \
954        install-pdf-am install-ps install-ps-am install-strip \
955        installcheck installcheck-am installdirs maintainer-clean \
956        maintainer-clean-generic mostlyclean mostlyclean-generic \
957        mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
958        uninstall uninstall-am
959
960.PRECIOUS: Makefile
961
962
963.cfa.o:
964        $(AM_V_CFA)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
965        $(CFACOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
966        $(am__mv) $$depbase.Tpo $$depbase.Po
967
968.cfa.lo:
969        $(AM_V_CFA)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
970        $(LTCFACOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
971        $(am__mv) $$depbase.Tpo $$depbase.Plo
972
973# .INTERMEDIATE: $(TESTS)
974
975all-local: $(TESTS:=.run)
976
977runall : $(TESTS:=.run)
978        @ echo "All programs terminated normally"
979
980watchall : $(TESTS:=.watch)
981        @ echo "All programs terminated normally"
982
983compileall : $(TESTS)
984        @ echo "Compiled"
985
986clean-local:
987        rm -f $(TESTS) core* out.log .type
988
989% : %.cfa $(CFACC) $(UPDATED_TYPE)
990        $(AM_V_CFA)$(CFACOMPILE) $(<) $(debug) -o $(@)
991
992%.run : % $(REPEAT)
993        @ time $(REPEAT) -r out.log -i -s $(repeats) timeout $(max_time) ./$(<)
994        @ rm $(<)
995        @ echo -e "$(<): SUCCESS\n"
996
997%.watch : % $(WATCHDOG)
998        @ time $(WATCHDOG} ./$(<)
999        @ rm $(<)
1000        @ echo -e "$(<): SUCCESS\n"
1001
1002%.time : % $(REPEAT)
1003        @ $(REPEAT) -i -s -- $(repeats) $(TIME) -a -o times.log ./$(<)
1004        @ rm $(<)
1005        @ echo -e "$(<): SUCCESS\n"
1006
1007$(REPEAT): $(abs_top_builddir)/tools/Makefile
1008        @+make -C $(abs_top_builddir)/tools/
1009
1010$(WATCHDOG): $(abs_top_builddir)/tools/Makefile
1011        @+make -C $(abs_top_builddir)/tools/
1012
1013# Tell versions [3.59,3.63) of GNU make to not export all variables.
1014# Otherwise a system limit (for SysV at least) may be exceeded.
1015.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.